%global appname com.github.cassidyjames.dippi

%{!?_vpath_srcdir:%global _vpath_srcdir .}
%{!?_vpath_builddir:%global _vpath_builddir %{_target_platform}}
%{!?__global_cflags:%global __global_cflags  %{optflags}}
%{!?__global_cxxflags:%global __global_cxxflags  %{optflags}}
%{!?__global_fflags:%global __global_fflags  %{optflags} -I%_fmoddir}
%{!?__global_fcflags:%global __global_fcflags %{optflags} -I%_fmoddir}
%{!?__global_ldflags:%global __global_ldflags -Wl,-z,relro %{_hardened_ldflags}}
%{!?__meson_wrap_mod:%global __meson_wrap_mode default}

Name:           dippi
Summary:        Calculate display info like DPI and aspect ratio
Version:        2.7.2
Release:        1%{?dist}
License:        GPLv3

URL:            https://github.com/cassidyjames/%{name}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  meson
BuildRequires:  vala

%if 0%{?rhel} && 0%{?rhel} < 8
BuildRequires:  python34-devel
BuildRequires:  python36-devel
%else
BuildRequires:  python3-devel
%endif

BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gtk+-3.0)

Requires:       hicolor-icon-theme


%description
Analyze any display. Input a few simple details and figure out the
aspect ratio, DPI, and other details of a particular display. Great for
deciding which laptop or external monitor to purchase, and if it would
be considered HiDPI.

Handy features:
- Find out if a display is a good choice based on its size and resolution
- Get advice about different densities
- Differentiates between laptops and desktop displays
- Stupid simple: all in a cute li'l window


%prep
%autosetup


%build
%meson
%meson_build


%install
%meson_install

%find_lang "%{appname}"


%check
desktop-file-validate \
    "%{buildroot}/%{_datadir}/applications/%{appname}.desktop"

appstream-util validate-relax --nonet \
    "%{buildroot}/%{_datadir}/metainfo/%{appname}.appdata.xml"


%files -f "%{appname}.lang"
%doc README.md
%license COPYING

%{_bindir}/%{appname}

%{_datadir}/applications/%{appname}.desktop
%{_datadir}/icons/hicolor/*/apps/%{appname}.svg
%{_datadir}/metainfo/%{appname}.appdata.xml


%changelog
* Sat Feb 09 2019 Tomasz Tomasik <scx.mail@gmail.com> - 2.7.2-1
- Update to 2.7.2

* Sat Feb 09 2019 Tomasz Tomasik <scx.mail@gmail.com> - 2.7.1-2.1
- Rebuilt for EL7

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Nov 17 2018 Fabio Valentini <decathorpe@gmail.com> - 2.7.1-1
- Update to version 2.7.1.

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jul 07 2018 Fabio Valentini <decathorpe@gmail.com> - 2.7.0-1
- Update to version 2.7.0.

* Wed Jun 13 2018 Fabio Valentini <decathorpe@gmail.com> - 2.6.3-2
- Rebuild for granite5 soname bump.

* Sat Apr 21 2018 Fabio Valentini <decathorpe@gmail.com> - 2.6.3-1
- Update to version 2.6.3.

* Wed Apr 11 2018 Fabio Valentini <decathorpe@gmail.com> - 2.6.2-1
- Update to version 2.6.2.

* Wed Mar 21 2018 Fabio Valentini <decathorpe@gmail.com> - 2.6.1-1
- Update to version 2.6.1.

* Sat Feb 24 2018 Fabio Valentini <decathorpe@gmail.com> - 2.5.4-1
- Update to version 2.5.4.

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Feb 05 2018 Fabio Valentini <decathorpe@gmail.com> - 2.5.3-1
- Update to version 2.5.3.

* Sat Jan 20 2018 Fabio Valentini <decathorpe@gmail.com> - 2.5.1-1
- Update to version 2.5.1.

* Mon Jan 15 2018 Fabio Valentini <decathorpe@gmail.com> - 2.5.0-1
- Initial package.

